commit: 494465adec701e2f4bd4979747deca27016aa2ff
Author: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed May 18 09:32:29 2016 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed May 18 09:32:54 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=494465ad
x11-misc/xdialog: Housekeeping + missing die.
Package-Manager: portage-2.2.28
x11-misc/xdialog/xdialog-2.3.1.ebuild | 17 ++++++++++++-----
1 file changed, 12 insertions(+), 5 deletions(-)
diff --git a/x11-misc/xdialog/xdialog-2.3.1.ebuild
b/x11-misc/xdialog/xdialog-2.3.1.ebuild
index 967790e..a4980a7 100644
--- a/x11-misc/xdialog/xdialog-2.3.1.ebuild
+++ b/x11-misc/xdialog/xdialog-2.3.1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
+
inherit autotools eutils
DESCRIPTION="drop-in replacement for cdialog using GTK"
@@ -24,10 +25,15 @@ DEPEND="
nls? ( sys-devel/gettext )
"
-S=${WORKDIR}/${P/x/X}
+S="${WORKDIR}/${P/x/X}"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-{no-strip,install}.patch
+)
src_prepare() {
- epatch "${FILESDIR}"/${P}-{no-strip,install}.patch
+ epatch "${PATCHES[@]}"
+
eautoreconf
}
@@ -39,14 +45,15 @@ src_configure() {
src_install() {
default
- rm -rf "${D}"/usr/share/doc
+
+ rm -rv "${D}"/usr/share/doc || die
dodoc AUTHORS BUGS ChangeLog README
use doc && dohtml -r doc/
if use examples; then
- insinto /usr/share/doc/${PF}/examples
+ insinto "/usr/share/doc/${PF}/examples"
doins samples/*
fi
}